зачем нам совместимость с gcc 4.7.1?

Разработка Far.
Post Reply
User avatar
zg
zero-gravity
Posts: 5231
Joined: Tue 15 Mar, 2005 17:36
Location: riga
Been thanked: 42 times
Contact:

зачем нам совместимость с gcc 4.7.1?

Post by zg » Thu 04 Jul, 2013 17:45

по поводу билда 3501.
если мы используем c++11 в разработке, gcc 4.8.1 как бы полностью реализует c++11, то мне не очень понятно, в чём смысл ориентироваться на gcc 4.7.1?

Shmuel
Posts: 5041
Joined: Thu 23 Mar, 2006 21:36
Location: Israel
Has thanked: 11 times
Been thanked: 133 times

Re: зачем нам совместимость с gcc 4.7.1?

Post by Shmuel » Thu 04 Jul, 2013 17:57

zg wrote:gcc 4.8.1 как бы полностью реализует c++11
Хотелось бы глянуть на источник информации (т.к. я не в теме по C++11).

User avatar
ctapmex
Posts: 990
Joined: Fri 11 Apr, 2008 07:53
Been thanked: 2 times
Contact:

Re: зачем нам совместимость с gcc 4.7.1?

Post by ctapmex » Thu 04 Jul, 2013 18:01

Shmuel wrote:
zg wrote:gcc 4.8.1 как бы полностью реализует c++11
Хотелось бы глянуть на источник информации (т.к. я не в теме по C++11).
http://gcc.gnu.org/projects/cxx0x.html

User avatar
zg
zero-gravity
Posts: 5231
Joined: Tue 15 Mar, 2005 17:36
Location: riga
Been thanked: 42 times
Contact:

Re: зачем нам совместимость с gcc 4.7.1?

Post by zg » Thu 04 Jul, 2013 18:10

Shmuel wrote:Хотелось бы глянуть на источник информации (т.к. я не в теме по C++11).
gcc.gnu.org:
GCC 4.8.1 will be C++11 feature-complete [2013-04-01]

Shmuel
Posts: 5041
Joined: Thu 23 Mar, 2006 21:36
Location: Israel
Has thanked: 11 times
Been thanked: 133 times

Re: зачем нам совместимость с gcc 4.7.1?

Post by Shmuel » Thu 04 Jul, 2013 18:15

zg wrote:по поводу билда 3501.
если мы используем c++11 в разработке, gcc 4.8.1 как бы полностью реализует c++11, то мне не очень понятно, в чём смысл ориентироваться на gcc 4.7.1?
Покуда в коде (проверка версии GCC) и в доках мы не перешли на другую версию, текущая должна работать, не? Перейдём "официально" на 4.8.1, тогда исправления подобные 3501 не понадобятся.

User avatar
zg
zero-gravity
Posts: 5231
Joined: Tue 15 Mar, 2005 17:36
Location: riga
Been thanked: 42 times
Contact:

Re: зачем нам совместимость с gcc 4.7.1?

Post by zg » Thu 04 Jul, 2013 18:20

Shmuel wrote:Покуда в коде (проверка версии GCC) и в доках мы не перешли на другую версию, текущая должна работать, не? Перейдём "официально" на 4.8.1, тогда исправления подобные 3501 не понадобятся.
я официальный переход и имею ввиду.

Shmuel
Posts: 5041
Joined: Thu 23 Mar, 2006 21:36
Location: Israel
Has thanked: 11 times
Been thanked: 133 times

Re: зачем нам совместимость с gcc 4.7.1?

Post by Shmuel » Thu 04 Jul, 2013 18:31

zg wrote:я официальный переход и имею ввиду.
Так в чём проблема, раньше вроде переходили без предварительного обсуждения в форуме? :)

User avatar
DrKnS
Posts: 4534
Joined: Thu 04 Aug, 2005 06:44
Location: Kyiv
Has thanked: 2 times
Been thanked: 113 times
Contact:

Re: зачем нам совместимость с gcc 4.7.1?

Post by DrKnS » Thu 04 Jul, 2013 18:35

Покуда в коде (проверка версии GCC) и в доках мы не перешли на другую версию
А где у нас в коде (не говоря уже о доках) проверяется именно 4.7.1?
Я нашел только 4.6.1, сильно сомневаюсь, что оно ещё работает.

И, если уж затронули тему, давайте лучше поговорим о необходимости совместимости с VC 2010.
Его поддержка вызывает сильно большую попаболь, и чем дальше, тем хуже.

2useven10
Posts: 2953
Joined: Mon 07 Sep, 2009 10:40
Has thanked: 2 times
Been thanked: 77 times

Re: зачем нам совместимость с gcc 4.7.1?

Post by 2useven10 » Thu 04 Jul, 2013 18:52

4.6.x не собирается, потому как

Code: Select all

cc1plus.exe: error: unrecognized command line option '-std=gnu++11'
надо ставить уже как минимум 4.7.1, либо действительно заявить о поддержке 4.8.1+, это не так существенно, хотя, имхо, особой нужды в жестком 11-м осиплюсплюсивании, кроме зуда в отдельно взятой попе :) нет.
с отказом от vc10, пропадёт возможность сборки на xp, что хуже, у меня рабочий комп, к примеру xp-x64...

Shmuel
Posts: 5041
Joined: Thu 23 Mar, 2006 21:36
Location: Israel
Has thanked: 11 times
Been thanked: 133 times

Re: зачем нам совместимость с gcc 4.7.1?

Post by Shmuel » Thu 04 Jul, 2013 19:38

2useven10 wrote:с отказом от vc10, пропадёт возможность сборки на xp, что хуже, у меня рабочий комп, к примеру xp-x64...
У меня основная рабочая система - XP x86. На семёрку захожу, только когда надо проверить что-то специфическое для x64.

User avatar
NightRoman
Posts: 5849
Joined: Fri 18 Aug, 2006 13:52
Location: Cambridge, UK
Has thanked: 8 times
Been thanked: 8 times
Contact:

Re: зачем нам совместимость с gcc 4.7.1?

Post by NightRoman » Fri 05 Jul, 2013 06:01

По ряду причин я до сих пор на VC 2010. Может, я и не один такой. Словом, не хотелось бы, чтобы поддержку убрали.

User avatar
DrKnS
Posts: 4534
Joined: Thu 04 Aug, 2005 06:44
Location: Kyiv
Has thanked: 2 times
Been thanked: 113 times
Contact:

Re: зачем нам совместимость с gcc 4.7.1?

Post by DrKnS » Sat 11 Jan, 2014 21:53

А кто собирает с GCC, расскажите, на какой минимальной версии сейчас работает?

Подозреваю, поддержка 4.7.1 давно сломалась.

2useven10
Posts: 2953
Joined: Mon 07 Sep, 2009 10:40
Has thanked: 2 times
Been thanked: 77 times

Re: зачем нам совместимость с gcc 4.7.1?

Post by 2useven10 » Sun 12 Jan, 2014 12:42

4.7.3 не собирается

Code: Select all

In file included from headers.hpp:181:0,
                 from headers.cpp:34:
global.hpp:101:9: error: 'thread_local' does not name a type
global.hpp:102:9: error: 'thread_local' does not name a type
In file included from headers.hpp:181:0,
                 from headers.cpp:34:
global.hpp: In member function 'DWORD global::CaughtError() const':
global.hpp:52:36: error: 'm_LastError' was not declared in this scope
global.hpp: In member function 'NTSTATUS global::CaughtStatus() const':
global.hpp:53:40: error: 'm_LastStatus' was not declared in this scope
gmake.exe[1]: *** [Release.32.gcc/obj/headers.gch] Error 1
gmake.exe: *** [all] Error 2
но сломано скорее всего недавно.

Post Reply

Return to “Development”

Who is online

Users browsing this forum: No registered users and 1 guest